Hydrilla - Feature #74

Facilitate translation of fixes from Hydrilla format to Hachette format
08/14/2021 09:27 AM - koszko

Status: Closed Start date: 08/14/2021
Priority: Low Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description

Right now it is possible to install scripts from Hydrilla in Hachette and then export them as JSON. We could use a standalone tool
that would do that. Better yet, we could enable Hydrilla itself to serve such format.

This has been mentioned in https://hachettebugs.koszko.org/issues/59#note-6

History

#1 - 08/15/2021 09:07 AM - jahoti

- Description updated

I'll commit a standalone tool to the Hachette repository soon.

#2 - 08/18/2021 01:45 AM - jahoti

This now (kind of) exists in my branch of browser-extension; the command test/gorilla.py [path to a Hydrilla "content" directory] [url pattern] (url pattern
...) will print a JSON file which can be imported to Hachette, with the fixes for all the URL patterns included (if they exist!).

Why is it in test? In order to test repository support in Hachette, a Hydrilla-compatible "website" is obviously going to be needed, and at least for the
very near future is seems easier just to create a very basic implementation in Python than to try and get the proxy server to work with the actual thing.

#3 - 08/18/2021 12:08 PM - koszko
- File gorilla.py.diff added
- File generate_hydrilla.sh added

Thanks for the tool. | made enhancements for gorilla to suit my needs (diff attached). | also made fixes available at https://hachette-hydrilla.org/. The
list gets updated automatically with the attached sh script... | trust you won't exploit this for XSS or to break into my system ;)

This is a throwaway script, available under CCO

#4 - 08/20/2021 02:12 AM - jahoti

Thanks for the tool. | made enhancements for gorilla to suit my needs (diff attached).

Thanks for those! I'll incorporate them into my branch with the next commit, as they will be a massive help.

| also made fixes available at https://hachette-hydrilla.org/. The list gets updated automatically with the attached sh script... | trust you won't
exploit this for XSS or to break into my system ;)
This is a throwaway script, available under CCO
Your trust is well placed, not to mention that | still haven't worked out how to conduct XSS (perhaps I'll learn someday).

The script works very nicely too, and produces lovely output- thank you for sharing it! (Just one minor note: there's a typo in "imp[o]rtable”) Even if it is
a throwaway, | actually think it would work well as the basis for future versions of similar pages unless we decide to integrate that entirely into Hydrilla.

Also, | forgot to thank you earlier for the Google Drive folders fix! It's honestly been something I've needed for a long time yet never committed to
doing, and it was almost embarrassingly exciting to see you'd accomplished it :).

#5 - 09/01/2021 11:40 AM - koszko
- Status changed from New to Closed

- % Done changed from 0 to 100

What we came up with then is probably sufficient for now. Closing
jahoti wrote:

Also, | forgot to thank you earlier for the Google Drive folders fix! It's honestly been something I've needed for a long time yet never committed to
doing, and it was almost embarrassingly exciting to see you'd accomplished it :).

YW :)
Honestly, I've needed this for a long time, too. In the past | tried but had too little time and didn't actually find out how to do this. Now it seemed like a
reasonable thing to try

Files
gorilla.py.diff 937 Bytes 08/18/2021 koszko
generate_hydrilla.sh 1.5KB 08/18/2021 koszko
